export class AstroPreset {
    constructor() {
        this.name = 'Astro';
        this.defaultOptions = {
            rootDir: './dist',
            name: 'my-astro-app',
            description: 'Fastly Compute static site from Astro',
        };
    }
    check(packageJson) {
        if (packageJson == null) {
            console.error("❌ Can't read/parse package.json");
            console.error("Run this from a Astro project directory.");
            return false;
        }
        if (packageJson?.dependencies?.['astro'] == null) {
            console.error("❌ Can't find astro in dependencies");
            console.error("Run this from a Astro project directory.");
            return false;
        }
        return true;
    }
}
