import { ContentAsset, ContentAssetMetadataMapEntry, StoreEntry } from "../../types/index.js";
import { ContentAssetMetadataMapEntryObjectStore } from "../../types/content-assets.js";
import { ContentCompressionTypes } from "../../constants/compression.js";
export declare class ContentObjectStoreAsset implements ContentAsset {
    readonly type = "object-store";
    private readonly metadata;
    private readonly objectStoreName;
    private readonly sourceAndInfo;
    private readonly compressedSourcesAndInfo;
    constructor(metadata: ContentAssetMetadataMapEntryObjectStore, objectStoreName: string);
    get isLocal(): boolean;
    get assetKey(): string;
    getStoreEntry(acceptEncodingsGroups?: ContentCompressionTypes[][]): Promise<StoreEntry>;
    getBytes(): Uint8Array;
    getText(): string;
    getMetadata(): ContentAssetMetadataMapEntry;
}
//# sourceMappingURL=content-asset-object-store.d.ts.map